Debian Bug report logs - #586995
KMS not working on ATI Technologies Inc M56P [Radeon

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Teodor <mteodor@gmail.com>

Date: Thu, 24 Jun 2010 11:42:01 UTC

Severity: important

Found in versions 2.6.32-24, linux-2.6/2.6.32-43, linux-2.6/2.6.32-24

Fixed in version 2.6.36~rc5-1~experimental.1

Done: Teodor MICU <mteodor@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, mteodor@gmail.com, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#586995; Package xserver-xorg-video-radeon. (Thu, 24 Jun 2010 11:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor <mteodor@gmail.com>:
New Bug report received and forwarded. Copy sent to mteodor@gmail.com, Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 24 Jun 2010 11:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Teodor <mteodor@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-video-radeon: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Thu, 24 Jun 2010 14:38:47 +0300
Package: xserver-xorg-video-radeon
Version: 1:6.13.0-2
Severity: normal

Hi,

After the last upgrade the screen is unreadable at boot, both the console
and the X11 login prompt. The only way for me to work was to boot with and
older kernel (2.6.32-3-amd64) and comment the line from /etc/modprobe.d
which enables the KMS for radeon. The kernel boot option 'nomodeset' on
grub2 didn't worked as long as the line from radeon-kms.conf is enabled.

Many thanks for the NEWS prompt, otherwise I wouldn't have any clue how to
work arround this problem.


-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Oct  6  2009 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1878240 Jun  3 18:09 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
01:00.0 VGA compatible controller: ATI Technologies Inc M56P [Radeon Mobility X1600]

/etc/X11/xorg.conf does not exist.

Kernel version (/proc/version):
Linux version 2.6.32-5-amd64 (Debian 2.6.32-15) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-1) ) #1 SMP Tue Jun 1 04:34:03 UTC 2010

Xorg X server log files on system:
-rw-r--r-- 1 root root 57108 Jun 24 14:16 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32-5-amd64 x86_64 Debian
Current Operating System: Linux r2.homelinux.net 2.6.32-5-amd64 #1 SMP Tue Jun 1 04:34:03 UTC 2010 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-amd64 root=UUID=6f822aa6-3605-4e2e-bfca-7f27fc0ad9fa ro panic=20 vga=788
Build Date: 03 June 2010  03:01:44PM
xorg-server 2:1.7.7-2 (Julien Cristau <jcristau@debian.org>) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Jun 24 14:15:46 2010
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) No Layout section.  Using the first Screen section.
(==) No screen section available. Using defaults.
(**) |-->Screen "Default Screen Section" (0)
(**) |   |-->Monitor "<default monitor>"
(==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
(II) Loader magic: 0x7c5e80
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(++) using VT number 7

(--) PCI:*(0:1:0:0) 1002:71c5:103c:30b4 ATI Technologies Inc M56P [Radeon Mobility X1600] rev 0, Mem @ 0xe0000000/268435456, 0xf4600000/65536, I/O @ 0x00004000/256, BIOS @ 0x????????/131072
(II) Open ACPI successful (/var/run/acpid.socket)
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(==) Matched ati as autoconfigured driver 0
(==) Matched vesa as autoconfigured driver 1
(==) Matched fbdev as autoconfigured driver 2
(==) Assigned the driver to the xf86ConfigLayout
(II) LoadModule: "ati"
(II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so
(II) Module ati: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 6.13.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "radeon"
(II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
(II) Module radeon: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 6.13.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "vesa"
(II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
(II) Module vesa: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 2.3.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "fbdev"
(II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
(II) Module fbdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 0.4.2
	ABI class: X.Org Video Driver, version 6.0
(II) RADEON: Driver for ATI Radeon chipsets:
	ATI Radeon Mobility X600 (M24) 3150 (PCIE), ATI FireMV 2400 (PCI),
	ATI Radeon Mobility X300 (M24) 3152 (PCIE),
	ATI FireGL M24 GL 3154 (PCIE), ATI Radeon X600 (RV380) 3E50 (PCIE),
	ATI FireGL V3200 (RV380) 3E54 (PCIE), ATI Radeon IGP320 (A3) 4136,
	ATI Radeon IGP330/340/350 (A4) 4137, ATI Radeon 9500 AD (AGP),
	ATI Radeon 9500 AE (AGP), ATI Radeon 9600TX AF (AGP),
	ATI FireGL Z1 AG (AGP), ATI Radeon 9800SE AH (AGP),
	ATI Radeon 9800 AI (AGP), ATI Radeon 9800 AJ (AGP),
	ATI FireGL X2 AK (AGP), ATI Radeon 9600 AP (AGP),
	ATI Radeon 9600SE AQ (AGP), ATI Radeon 9600XT AR (AGP),
	ATI Radeon 9600 AS (AGP), ATI FireGL T2 AT (AGP), ATI Radeon 9650,
	ATI FireGL RV360 AV (AGP), ATI Radeon 7000 IGP (A4+) 4237,
	ATI Radeon 8500 AIW BB (AGP), ATI Radeon 8500 AIW BC (AGP),
	ATI Radeon IGP320M (U1) 4336, ATI Radeon IGP330M/340M/350M (U2) 4337,
	ATI Radeon Mobility 7000 IGP 4437, ATI Radeon 9000/PRO If (AGP/PCI),
	ATI Radeon 9000 Ig (AGP/PCI), ATI Radeon X800 (R420) JH (AGP),
	ATI Radeon X800PRO (R420) JI (AGP),
	ATI Radeon X800SE (R420) JJ (AGP), ATI Radeon X800 (R420) JK (AGP),
	ATI Radeon X800 (R420) JL (AGP), ATI FireGL X3 (R420) JM (AGP),
	ATI Radeon Mobility 9800 (M18) JN (AGP),
	ATI Radeon X800 SE (R420) (AGP), ATI Radeon X800XT (R420) JP (AGP),
	ATI Radeon X800 VE (R420) JT (AGP), ATI Radeon X850 (R480) (AGP),
	ATI Radeon X850 XT (R480) (AGP), ATI Radeon X850 SE (R480) (AGP),
	ATI Radeon X850 PRO (R480) (AGP), ATI Radeon X850 XT PE (R480) (AGP),
	ATI Radeon Mobility M7 LW (AGP),
	ATI Mobility FireGL 7800 M7 LX (AGP),
	ATI Radeon Mobility M6 LY (AGP), ATI Radeon Mobility M6 LZ (AGP),
	ATI FireGL Mobility 9000 (M9) Ld (AGP),
	ATI Radeon Mobility 9000 (M9) Lf (AGP),
	ATI Radeon Mobility 9000 (M9) Lg (AGP), ATI Radeon 9700 Pro ND (AGP),
	ATI Radeon 9700/9500Pro NE (AGP), ATI Radeon 9600TX NF (AGP),
	ATI FireGL X1 NG (AGP), ATI Radeon 9800PRO NH (AGP),
	ATI Radeon 9800 NI (AGP), ATI FireGL X2 NK (AGP),
	ATI Radeon 9800XT NJ (AGP),
	ATI Radeon Mobility 9600/9700 (M10/M11) NP (AGP),
	ATI Radeon Mobility 9600 (M10) NQ (AGP),
	ATI Radeon Mobility 9600 (M11) NR (AGP),
	ATI Radeon Mobility 9600 (M10) NS (AGP),
	ATI FireGL Mobility T2 (M10) NT (AGP),
	ATI FireGL Mobility T2e (M11) NV (AGP), ATI Radeon QD (AGP),
	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
	ATI FireGL 8700/8800 QH (AGP), ATI Radeon 8500 QL (AGP),
	ATI Radeon 9100 QM (AGP), ATI Radeon 7500 QW (AGP/PCI),
	ATI Radeon 7500 QX (AGP/PCI), ATI Radeon VE/7000 QY (AGP/PCI),
	ATI Radeon VE/7000 QZ (AGP/PCI), ATI ES1000 515E (PCI),
	ATI Radeon Mobility X300 (M22) 5460 (PCIE),
	ATI Radeon Mobility X600 SE (M24C) 5462 (PCIE),
	ATI FireGL M22 GL 5464 (PCIE), ATI Radeon X800 (R423) UH (PCIE),
	ATI Radeon X800PRO (R423) UI (PCIE),
	ATI Radeon X800LE (R423) UJ (PCIE),
	ATI Radeon X800SE (R423) UK (PCIE),
	ATI Radeon X800 XTP (R430) (PCIE), ATI Radeon X800 XL (R430) (PCIE),
	ATI Radeon X800 SE (R430) (PCIE), ATI Radeon X800 (R430) (PCIE),
	ATI FireGL V7100 (R423) (PCIE), ATI FireGL V5100 (R423) UQ (PCIE),
	ATI FireGL unknown (R423) UR (PCIE),
	ATI FireGL unknown (R423) UT (PCIE),
	ATI Mobility FireGL V5000 (M26) (PCIE),
	ATI Mobility FireGL V5000 (M26) (PCIE),
	ATI Mobility Radeon X700 XL (M26) (PCIE),
	ATI Mobility Radeon X700 (M26) (PCIE),
	ATI Mobility Radeon X700 (M26) (PCIE),
	ATI Radeon X550XTX 5657 (PCIE), ATI Radeon 9100 IGP (A5) 5834,
	ATI Radeon Mobility 9100 IGP (U3) 5835,
	ATI Radeon XPRESS 200 5954 (PCIE),
	ATI Radeon XPRESS 200M 5955 (PCIE), ATI Radeon 9250 5960 (AGP),
	ATI Radeon 9200 5961 (AGP), ATI Radeon 9200 5962 (AGP),
	ATI Radeon 9200SE 5964 (AGP), ATI FireMV 2200 (PCI),
	ATI ES1000 5969 (PCI), ATI Radeon XPRESS 200 5974 (PCIE),
	ATI Radeon XPRESS 200M 5975 (PCIE),
	ATI Radeon XPRESS 200 5A41 (PCIE),
	ATI Radeon XPRESS 200M 5A42 (PCIE),
	ATI Radeon XPRESS 200 5A61 (PCIE),
	ATI Radeon XPRESS 200M 5A62 (PCIE),
	ATI Radeon X300 (RV370) 5B60 (PCIE),
	ATI Radeon X600 (RV370) 5B62 (PCIE),
	ATI Radeon X550 (RV370) 5B63 (PCIE),
	ATI FireGL V3100 (RV370) 5B64 (PCIE),
	ATI FireMV 2200 PCIE (RV370) 5B65 (PCIE),
	ATI Radeon Mobility 9200 (M9+) 5C61 (AGP),
	ATI Radeon Mobility 9200 (M9+) 5C63 (AGP),
	ATI Mobility Radeon X800 XT (M28) (PCIE),
	ATI Mobility FireGL V5100 (M28) (PCIE),
	ATI Mobility Radeon X800 (M28) (PCIE), ATI Radeon X850 5D4C (PCIE),
	ATI Radeon X850 XT PE (R480) (PCIE),
	ATI Radeon X850 SE (R480) (PCIE), ATI Radeon X850 PRO (R480) (PCIE),
	ATI unknown Radeon / FireGL (R480) 5D50 (PCIE),
	ATI Radeon X850 XT (R480) (PCIE),
	ATI Radeon X800XT (R423) 5D57 (PCIE),
	ATI FireGL V5000 (RV410) (PCIE), ATI Radeon X700 XT (RV410) (PCIE),
	ATI Radeon X700 PRO (RV410) (PCIE),
	ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X700 (RV410) (PCIE),
	ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X1800,
	ATI Mobility Radeon X1800 XT, ATI Mobility Radeon X1800,
	ATI Mobility FireGL V7200, ATI FireGL V7200, ATI FireGL V5300,
	ATI Mobility FireGL V7100, ATI Radeon X1800, ATI Radeon X1800,
	ATI Radeon X1800, ATI Radeon X1800, ATI Radeon X1800,
	ATI FireGL V7300, ATI FireGL V7350, ATI Radeon X1600, ATI RV505,
	ATI Radeon X1300/X1550, ATI Radeon X1550, ATI M54-GL,
	ATI Mobility Radeon X1400, ATI Radeon X1300/X1550,
	ATI Radeon X1550 64-bit, ATI Mobility Radeon X1300,
	ATI Mobility Radeon X1300, ATI Mobility Radeon X1300,
	ATI Mobility Radeon X1300, ATI Radeon X1300, ATI Radeon X1300,
	ATI RV505, ATI RV505, ATI FireGL V3300, ATI FireGL V3350,
	ATI Radeon X1300, ATI Radeon X1550 64-bit, ATI Radeon X1300/X1550,
	ATI Radeon X1600, ATI Radeon X1300/X1550, ATI Mobility Radeon X1450,
	ATI Radeon X1300/X1550, ATI Mobility Radeon X2300,
	ATI Mobility Radeon X2300, ATI Mobility Radeon X1350,
	ATI Mobility Radeon X1350, ATI Mobility Radeon X1450,
	ATI Radeon X1300, ATI Radeon X1550, ATI Mobility Radeon X1350,
	ATI FireMV 2250, ATI Radeon X1550 64-bit, ATI Radeon X1600,
	ATI Radeon X1650, ATI Radeon X1600, ATI Radeon X1600,
	ATI Mobility FireGL V5200, ATI Mobility Radeon X1600,
	ATI Radeon X1650, ATI Radeon X1650, ATI Radeon X1600,
	ATI Radeon X1300 XT/X1600 Pro, ATI FireGL V3400,
	ATI Mobility FireGL V5250, ATI Mobility Radeon X1700,
	ATI Mobility Radeon X1700 XT, ATI FireGL V5200,
	ATI Mobility Radeon X1700, ATI Radeon X2300HD,
	ATI Mobility Radeon HD 2300, ATI Mobility Radeon HD 2300,
	ATI Radeon X1950, ATI Radeon X1900, ATI Radeon X1950,
	ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
	ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
	ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
	ATI AMD Stream Processor, ATI Radeon X1900, ATI Radeon X1950,
	ATI RV560, ATI RV560, ATI Mobility Radeon X1900, ATI RV560,
	ATI Radeon X1950 GT, ATI RV570, ATI RV570, ATI FireGL V7400,
	ATI RV560, ATI Radeon X1650, ATI Radeon X1650, ATI RV560,
	ATI Radeon 9100 PRO IGP 7834, ATI Radeon Mobility 9200 IGP 7835,
	ATI Radeon X1200, ATI Radeon X1200, ATI Radeon X1200,
	ATI Radeon X1200, ATI Radeon X1200, ATI RS740, ATI RS740M, ATI RS740,
	ATI RS740M, ATI Radeon HD 2900 XT, ATI Radeon HD 2900 XT,
	ATI Radeon HD 2900 XT, ATI Radeon HD 2900 Pro, ATI Radeon HD 2900 GT,
	ATI FireGL V8650, ATI FireGL V8600, ATI FireGL V7600,
	ATI Radeon 4800 Series, ATI Radeon HD 4870 x2,
	ATI Radeon 4800 Series, ATI Radeon HD 4850 x2,
	ATI FirePro V8750 (FireGL), ATI FirePro V7760 (FireGL),
	ATI Mobility RADEON HD 4850, ATI Mobility RADEON HD 4850 X2,
	ATI Radeon 4800 Series, ATI FirePro RV770, AMD FireStream 9270,
	AMD FireStream 9250, ATI FirePro V8700 (FireGL),
	ATI Mobility RADEON HD 4870, ATI Mobility RADEON M98,
	ATI Radeon 4800 Series, ATI Radeon 4800 Series, ATI FirePro M7750,
	ATI M98, ATI M98, ATI M98, ATI Mobility Radeon HD 4650,
	ATI Radeon RV730 (AGP), ATI Mobility Radeon HD 4670,
	ATI FirePro M5750, ATI Radeon RV730 (AGP),
	ATI RV730XT [Radeon HD 4670], ATI RADEON E4600,
	ATI Radeon HD 4600 Series, ATI RV730 PRO [Radeon HD 4650],
	ATI FirePro V7750 (FireGL), ATI FirePro V5700 (FireGL),
	ATI FirePro V3750 (FireGL), ATI Mobility Radeon HD 4830,
	ATI Mobility Radeon HD 4850, ATI FirePro M7740, ATI RV740,
	ATI Radeon HD 4770, ATI Radeon HD 4700 Series, ATI Radeon HD 4770,
	ATI FirePro M5750, ATI RV610, ATI Radeon HD 2400 XT,
	ATI Radeon HD 2400 Pro, ATI Radeon HD 2400 PRO AGP, ATI FireGL V4000,
	ATI RV610, ATI Radeon HD 2350, ATI Mobility Radeon HD 2400 XT,
	ATI Mobility Radeon HD 2400, ATI RADEON E2400, ATI RV610,
	ATI FireMV 2260, ATI RV670, ATI Radeon HD3870,
	ATI Mobility Radeon HD 3850, ATI Radeon HD3850,
	ATI Mobility Radeon HD 3850 X2, ATI RV670,
	ATI Mobility Radeon HD 3870, ATI Mobility Radeon HD 3870 X2,
	ATI Radeon HD3870 X2, ATI FireGL V7700, ATI Radeon HD3850,
	ATI Radeon HD3690, AMD Firestream 9170, ATI Radeon HD 4550,
	ATI Radeon RV710, ATI Radeon RV710, ATI Radeon HD 4350,
	ATI Mobility Radeon 4300 Series, ATI Mobility Radeon 4500 Series,
	ATI Mobility Radeon 4500 Series, ATI FirePro RG220, ATI RV630,
	ATI Mobility Radeon HD 2600, ATI Mobility Radeon HD 2600 XT,
	ATI Radeon HD 2600 XT AGP, ATI Radeon HD 2600 Pro AGP,
	ATI Radeon HD 2600 XT, ATI Radeon HD 2600 Pro, ATI Gemini RV630,
	ATI Gemini Mobility Radeon HD 2600 XT, ATI FireGL V5600,
	ATI FireGL V3600, ATI Radeon HD 2600 LE,
	ATI Mobility FireGL Graphics Processor, ATI Radeon RV710,
	ATI Radeon HD 3470, ATI Mobility Radeon HD 3430,
	ATI Mobility Radeon HD 3400 Series, ATI Radeon HD 3450,
	ATI Radeon HD 3450, ATI Radeon HD 3430, ATI Radeon HD 3450,
	ATI FirePro V3700, ATI FireMV 2450, ATI FireMV 2260, ATI FireMV 2260,
	ATI Radeon HD 3600 Series, ATI Radeon HD 3650 AGP,
	ATI Radeon HD 3600 PRO, ATI Radeon HD 3600 XT,
	ATI Radeon HD 3600 PRO, ATI Mobility Radeon HD 3650,
	ATI Mobility Radeon HD 3670, ATI Mobility FireGL V5700,
	ATI Mobility FireGL V5725, ATI Radeon HD 3200 Graphics,
	ATI Radeon 3100 Graphics, ATI Radeon HD 3200 Graphics,
	ATI Radeon 3100 Graphics, ATI Radeon HD 3300 Graphics,
	ATI Radeon HD 3200 Graphics, ATI Radeon 3000 Graphics,
	ATI Radeon HD 4200, ATI Radeon 4100, ATI Mobility Radeon HD 4200,
	ATI Mobility Radeon 4100, ATI Radeon HD 4290, ATI Radeon HD 4290,
	CYPRESS, ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter, ATI Radeon HD 5800 Series,
	ATI Radeon HD 5800 Series, ATI Radeon HD 5800 Series,
	ATI Radeon HD 5900 Series, ATI Radeon HD 5900 Series,
	ATI Mobility Radeon HD 5800 Series,
	ATI Mobility Radeon HD 5800 Series,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI Mobility Radeon HD 5800 Series, ATI Radeon HD 5700 Series,
	ATI Radeon HD 5700 Series, ATI Radeon HD 5700 Series,
	ATI Mobility Radeon HD 5000 Series,
	ATI Mobility Radeon HD 5000 Series,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter, ATI Radeon HD 5670,
	ATI Radeon HD 5570, ATI Radeon HD 5500 Series, REDWOOD,
	ATI Mobility Radeon HD 5000 Series,
	ATI Mobility Radeon HD 5000 Series, CEDAR, CEDAR, CEDAR,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter, CEDAR, ATI Radeon HD 5450,
	CEDAR
(II) VESA: driver for VESA chipsets: vesa
(II) FBDEV: driver for framebuffer: fbdev
(II) Primary Device is: PCI 01@00:00:0
(II) [KMS] drm report modesetting isn't supported.
(WW) Falling back to old probe method for vesa
(WW) Falling back to old probe method for fbdev
(II) Loading sub module "fbdevhw"
(II) LoadModule: "fbdevhw"
(II) Loading /usr/lib/xorg/modules/linux/libfbdevhw.so
(II) Module fbdevhw: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 0.0.2
	ABI class: X.Org Video Driver, version 6.0
(II) RADEON(0): TOTO SAYS 00000000f4600000
(II) RADEON(0): MMIO registers at 0x00000000f4600000: size 64KB
(II) RADEON(0): PCI bus 1 card 0 func 0
(II) RADEON(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
(==) RADEON(0): Depth 24, (--) framebuffer bpp 32
(II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) RADEON(0): Default visual is TrueColor
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules/libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 0.1.0
	ABI class: X.Org Video Driver, version 6.0
(II) RADEON(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(==) RADEON(0): RGB weight 888
(II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
(--) RADEON(0): Chipset: "ATI Mobility Radeon X1600" (ChipID = 0x71c5)
(--) RADEON(0): Linear framebuffer at 0x00000000e0000000
(II) RADEON(0): PCIE card detected
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules/libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Video Driver, version 6.0
(II) RADEON(0): initializing int10
(II) RADEON(0): Primary V_BIOS segment is: 0xc000
(II) RADEON(0): ATOM BIOS detected
(II) RADEON(0): ATOM BIOS Rom: 
	SubsystemVendorID: 0x103c SubsystemID: 0x309f
	IOBaseAddress: 0x4000
	Filename: BR26747C.BIN
	BIOS Bootup Message: 
HP Vail2.0 M56-P 128M ATOM BIOS CRT/LCD 425E/378M                           

(II) RADEON(0): Framebuffer space used by Firmware (kb): 20
(II) RADEON(0): Start of VRAM area used by Firmware: 0x7ffb000
(II) RADEON(0): AtomBIOS requests 20kB of VRAM scratch space
(II) RADEON(0): AtomBIOS VRAM scratch base: 0x7ffb000
(II) RADEON(0): Cannot get VRAM scratch space. Allocating in main memory instead
(II) RADEON(0): Default Engine Clock: 426000
(II) RADEON(0): Default Memory Clock: 378000
(II) RADEON(0): Maximum Pixel ClockPLL Frequency Output: 1100000
(II) RADEON(0): Minimum Pixel ClockPLL Frequency Output: 0
(II) RADEON(0): Maximum Pixel ClockPLL Frequency Input: 13500
(II) RADEON(0): Minimum Pixel ClockPLL Frequency Input: 1000
(II) RADEON(0): Maximum Pixel Clock: 400000
(II) RADEON(0): Reference Clock: 27000
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenByBusid: Searching for BusID pci:0000:01:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenByBusid: drmOpenMinor returns 11
drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
(II) RADEON(0): [dri] Found DRI library version 1.3.0 and kernel module version 1.32.0
(==) RADEON(0): Page Flipping disabled on r5xx and newer chips.

(II) RADEON(0): Will try to use DMA for Xv image transfers
(II) RADEON(0): Generation 2 PCI interface, using max accessible memory
(II) RADEON(0): Detected total video RAM=262144K, accessible=262144K (PCI BAR=262144K)
(--) RADEON(0): Mapped VideoRAM: 262144 kByte (128 bit DDR SDRAM)
(II) RADEON(0): Color tiling enabled by default
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Module "ddc" already built-in
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Module "i2c" already built-in
(II) RADEON(0): PLL parameters: rf=2700 rd=12 min=90000 max=110000; xclk=40000
(WW) RADEON(0): LVDS Info:
XRes: 1680, YRes: 1050, DotClock: 122000
HBlank: 224, HOverPlus: 32, HSyncWidth: 64
VBlank: 16, VOverPlus: 3, VSyncWidth: 1
(II) RADEON(0): Skipping TV-Out
(II) RADEON(0): Output VGA-0 has no monitor section
(II) RADEON(0): I2C bus "VGA-0" initialized.
(II) RADEON(0): Output LVDS has no monitor section
(II) RADEON(0): I2C bus "LVDS" initialized.
(II) RADEON(0): Output DVI-0 has no monitor section
(II) RADEON(0): I2C bus "DVI-0" initialized.
(II) RADEON(0): Port0:
  XRANDR name: VGA-0
  Connector: VGA
  CRT1: INTERNAL_KLDSCP_DAC1
  DDC reg: 0x7e40
(II) RADEON(0): Port1:
  XRANDR name: LVDS
  Connector: LVDS
  LCD1: INTERNAL_LVTM1
  DDC reg: 0x7e50
(II) RADEON(0): Port2:
  XRANDR name: DVI-0
  Connector: DVI-I
  DFP1: INTERNAL_KLDSCP_TMDS1
  DDC reg: 0x7e60
(II) RADEON(0): I2C device "VGA-0:ddc2" registered at address 0xA0.
Dac detection success
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
finished output detect: 0
(II) RADEON(0): I2C device "LVDS:ddc2" registered at address 0xA0.
(II) RADEON(0): EDID for output LVDS
(II) RADEON(0): Manufacturer: LPL  Model: cd00  Serial#: 0
(II) RADEON(0): Year: 2006  Week: 0
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified
(II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.590 redY: 0.345   greenX: 0.326 greenY: 0.544
(II) RADEON(0): blueX: 0.157 blueY: 0.141   whiteX: 0.313 whiteY: 0.329
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 122.0 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0):  LGPhilipsLCD
(II) RADEON(0):  LP154WE2-TLA1
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00320c00cd00000000
(II) RADEON(0): 	00100103802115780a19459758538b28
(II) RADEON(0): 	24505400000001010101010101010101
(II) RADEON(0): 	010101010101a82f90e0601a10402040
(II) RADEON(0): 	13004bcf100000190000000000000000
(II) RADEON(0): 	00000000000000000000000000fe004c
(II) RADEON(0): 	475068696c6970734c43440a000000fe
(II) RADEON(0): 	004c503135345745322d544c41310035
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): EDID data from the display on output: LVDS ----------------------
(II) RADEON(0): Manufacturer: LPL  Model: cd00  Serial#: 0
(II) RADEON(0): Year: 2006  Week: 0
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified
(II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.590 redY: 0.345   greenX: 0.326 greenY: 0.544
(II) RADEON(0): blueX: 0.157 blueY: 0.141   whiteX: 0.313 whiteY: 0.329
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 122.0 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0):  LGPhilipsLCD
(II) RADEON(0):  LP154WE2-TLA1
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00320c00cd00000000
(II) RADEON(0): 	00100103802115780a19459758538b28
(II) RADEON(0): 	24505400000001010101010101010101
(II) RADEON(0): 	010101010101a82f90e0601a10402040
(II) RADEON(0): 	13004bcf100000190000000000000000
(II) RADEON(0): 	00000000000000000000000000fe004c
(II) RADEON(0): 	475068696c6970734c43440a000000fe
(II) RADEON(0): 	004c503135345745322d544c41310035
finished output detect: 1
(II) RADEON(0): I2C device "DVI-0:ddc2" registered at address 0xA0.
(II) RADEON(0): Output: DVI-0, Detected Monitor Type: 0
Unhandled monitor type 0
finished output detect: 2
finished all detect
Dac detection success
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): EDID for output VGA-0
(II) RADEON(0): EDID for output LVDS
(II) RADEON(0): Manufacturer: LPL  Model: cd00  Serial#: 0
(II) RADEON(0): Year: 2006  Week: 0
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified
(II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.590 redY: 0.345   greenX: 0.326 greenY: 0.544
(II) RADEON(0): blueX: 0.157 blueY: 0.141   whiteX: 0.313 whiteY: 0.329
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 122.0 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0):  LGPhilipsLCD
(II) RADEON(0):  LP154WE2-TLA1
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00320c00cd00000000
(II) RADEON(0): 	00100103802115780a19459758538b28
(II) RADEON(0): 	24505400000001010101010101010101
(II) RADEON(0): 	010101010101a82f90e0601a10402040
(II) RADEON(0): 	13004bcf100000190000000000000000
(II) RADEON(0): 	00000000000000000000000000fe004c
(II) RADEON(0): 	475068696c6970734c43440a000000fe
(II) RADEON(0): 	004c503135345745322d544c41310035
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): EDID data from the display on output: LVDS ----------------------
(II) RADEON(0): Manufacturer: LPL  Model: cd00  Serial#: 0
(II) RADEON(0): Year: 2006  Week: 0
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified
(II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.590 redY: 0.345   greenX: 0.326 greenY: 0.544
(II) RADEON(0): blueX: 0.157 blueY: 0.141   whiteX: 0.313 whiteY: 0.329
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 122.0 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0):  LGPhilipsLCD
(II) RADEON(0):  LP154WE2-TLA1
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00320c00cd00000000
(II) RADEON(0): 	00100103802115780a19459758538b28
(II) RADEON(0): 	24505400000001010101010101010101
(II) RADEON(0): 	010101010101a82f90e0601a10402040
(II) RADEON(0): 	13004bcf100000190000000000000000
(II) RADEON(0): 	00000000000000000000000000fe004c
(II) RADEON(0): 	475068696c6970734c43440a000000fe
(II) RADEON(0): 	004c503135345745322d544c41310035
(II) RADEON(0): EDID vendor "LPL", prod id 52480
(II) RADEON(0): Printing probed modes for output LVDS
(II) RADEON(0): Modeline "1680x1050"x60.1  122.00  1680 1712 1776 1904  1050 1051 1054 1066 -hsync -vsync (64.1 kHz)
(II) RADEON(0): Modeline "1400x1050"x60.0  121.75  1400 1488 1632 1864  1050 1053 1057 1089 -hsync +vsync (65.3 kHz)
(II) RADEON(0): Modeline "1280x1024"x59.9  109.00  1280 1368 1496 1712  1024 1027 1034 1063 -hsync +vsync (63.7 kHz)
(II) RADEON(0): Modeline "1440x900"x59.9  106.50  1440 1528 1672 1904  900 903 909 934 -hsync +vsync (55.9 kHz)
(II) RADEON(0): Modeline "1280x960"x59.9  101.25  1280 1360 1488 1696  960 963 967 996 -hsync +vsync (59.7 kHz)
(II) RADEON(0): Modeline "1280x854"x59.9   89.25  1280 1352 1480 1680  854 857 867 887 -hsync +vsync (53.1 kHz)
(II) RADEON(0): Modeline "1280x800"x59.8   83.50  1280 1352 1480 1680  800 803 809 831 -hsync +vsync (49.7 kHz)
(II) RADEON(0): Modeline "1280x720"x59.9   74.50  1280 1344 1472 1664  720 723 728 748 -hsync +vsync (44.8 kHz)
(II) RADEON(0): Modeline "1152x768"x59.8   71.75  1152 1216 1328 1504  768 771 781 798 -hsync +vsync (47.7 kHz)
(II) RADEON(0): Modeline "1024x768"x59.9   63.50  1024 1072 1176 1328  768 771 775 798 -hsync +vsync (47.8 kHz)
(II) RADEON(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz)
(II) RADEON(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz)
(II) RADEON(0): Output: DVI-0, Detected Monitor Type: 0
Unhandled monitor type 0
(II) RADEON(0): EDID for output DVI-0
(II) RADEON(0): Output VGA-0 disconnected
(II) RADEON(0): Output LVDS connected
(II) RADEON(0): Output DVI-0 disconnected
(II) RADEON(0): Using exact sizes for initial modes
(II) RADEON(0): Output LVDS using initial mode 1680x1050
(II) RADEON(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
(==) RADEON(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Module "ramdac" already built-in
(==) RADEON(0): Using EXA acceleration architecture
(II) Loading sub module "exa"
(II) LoadModule: "exa"
(II) Loading /usr/lib/xorg/modules/libexa.so
(II) Module exa: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 2.5.0
	ABI class: X.Org Video Driver, version 6.0
(!!) RADEON(0): MergedFB support has been removed and replaced with xrandr 1.2 support
(II) UnloadModule: "vesa"
(II) Unloading /usr/lib/xorg/modules/drivers/vesa_drv.so
(II) UnloadModule: "fbdev"
(II) Unloading /usr/lib/xorg/modules/drivers/fbdev_drv.so
(II) UnloadModule: "fbdevhw"
(II) Unloading /usr/lib/xorg/modules/linux/libfbdevhw.so
(--) Depth 24 pixmap format is 32 bpp
(II) RADEON(0): RADEONScreenInit e0000000 0 0
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Blank CRTC 1 success
Disable CRTC 1 success
(II) RADEON(0): Dynamic Power Management Disabled
(==) RADEON(0): Using 24 bit depth buffer
(II) RADEON(0): RADEONInitMemoryMap() : 
(II) RADEON(0):   mem_size         : 0x10000000
(II) RADEON(0):   MC_FB_LOCATION   : 0xefffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0x003f0000
(II) RADEON(0): Depth moves disabled by default
(II) RADEON(0): Allocating from a screen of 262112 kb
(II) RADEON(0): Will use 32 kb for hardware cursor 0 at offset 0x00b13000
(II) RADEON(0): Will use 32 kb for hardware cursor 1 at offset 0x00b17000
(II) RADEON(0): Will use 11340 kb for front buffer at offset 0x00000000
(II) RADEON(0): Will use 32 kb for PCI GART at offset 0x0fff8000
(II) RADEON(0): Will use 11340 kb for back buffer at offset 0x00b1b000
(II) RADEON(0): Will use 11340 kb for depth buffer at offset 0x0162e000
(II) RADEON(0): Will use 113664 kb for textures at offset 0x02141000
(II) RADEON(0): Will use 114396 kb for X Server offscreen at offset 0x09041000
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenByBusid: Searching for BusID pci:0000:01:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 11, (OK)
drmOpenByBusid: drmOpenMinor returns 11
drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
(II) [drm] DRM interface version 1.3
(II) [drm] DRM open master succeeded.
(II) RADEON(0): [drm] Using the DRM lock SAREA also for drawables.
(II) RADEON(0): [drm] framebuffer handle = 0xe0000000
(II) RADEON(0): [drm] added 1 reserved context for kernel
(II) RADEON(0): X context handle = 0x1
(II) RADEON(0): [drm] installed DRM signal handler
(II) RADEON(0): [pci] 32768 kB allocated with handle 0x06057900
(II) RADEON(0): [pci] ring handle = 0x1b800000
(II) RADEON(0): [pci] Ring mapped at 0x7f0041b6b000
(II) RADEON(0): [pci] Ring contents 0x00000000
(II) RADEON(0): [pci] ring read ptr handle = 0x2b7ff000
(II) RADEON(0): [pci] Ring read ptr mapped at 0x7f0056ed2000
(II) RADEON(0): [pci] Ring read ptr contents 0x00000000
(II) RADEON(0): [pci] vertex/indirect buffers handle = 0x1b801000
(II) RADEON(0): [pci] Vertex/indirect buffers mapped at 0x7f004196b000
(II) RADEON(0): [pci] Vertex/indirect buffers contents 0x00000000
(II) RADEON(0): [pci] GART texture map handle = 0x1b802000
(II) RADEON(0): [pci] GART Texture map mapped at 0x7f003fceb000
(II) RADEON(0): [drm] register handle = 0x2fff8000
(II) RADEON(0): [dri] Visual configs initialized
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xefffe000 0xefffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0x003f0000
(==) RADEON(0): Backing store disabled
(II) RADEON(0): [DRI] installation complete
(II) RADEON(0): [drm] Added 32 65536 byte vertex/indirect buffers
(II) RADEON(0): [drm] Mapped 32 vertex/indirect buffers
(II) RADEON(0): [drm] dma control initialized, using IRQ 16
(II) RADEON(0): [drm] Initialized kernel GART heap manager, 29884416
(WW) RADEON(0): DRI init changed memory map, adjusting ...
(WW) RADEON(0):   MC_FB_LOCATION  was: 0xefffe000 is: 0xefffe000
(WW) RADEON(0):   MC_AGP_LOCATION was: 0x003f0000 is: 0xffffffc0
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xefffe000 0xefffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
(II) RADEON(0): Direct rendering enabled
(II) RADEON(0): Render acceleration enabled for R300/R400/R500 type cards.
(II) RADEON(0): Setting EXA maxPitchBytes
(II) RADEON(0): num quad-pipes is 1
(II) EXA(0): Offscreen pixmap area of 117141504 bytes
(II) EXA(0): Driver registered support for the following operations:
(II)         Solid
(II)         Copy
(II)         Composite (RENDER acceleration)
(II)         UploadToScreen
(II)         DownloadFromScreen
(II) RADEON(0): Acceleration enabled
(==) RADEON(0): DPMS enabled
(==) RADEON(0): Silken mouse enabled
(II) RADEON(0): Set up textured video
Output CRT1 disable success
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Blank CRTC 1 success
Disable CRTC 1 success
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Mode 1680x1050 - 1904 1066 10
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xefffe000 0xefffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
Picked PLL 0
best_freq: 122000
best_feedback_div: 122
best_frac_feedback_div: 0
best_ref_div: 3
best_post_div: 9
(II) RADEON(0): crtc(0) Clock: mode 122000, PLL 1220000
(II) RADEON(0): crtc(0) PLL  : refdiv 3, fbdiv 0x7A(122), fracfbdiv 0, pdiv 9
Set CRTC 0 PLL success
Set CRTC Timing success
Set CRTC 0 Overscan success
Not using RMX
scaler 0 setup success
Set CRTC 0 Source success
crtc 0 YUV disable setup success
Output digital setup success
Output LCD1 enable success
Enable CRTC 0 success
Unblank CRTC 0 success
Output CRT1 disable success
Blank CRTC 1 success
Disable CRTC 1 success
(II) RADEON(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
(II) AIGLX: Screen 0 is not DRI2 capable
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 12, (OK)
drmOpenByBusid: Searching for BusID pci:0000:01:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 12, (OK)
drmOpenByBusid: drmOpenMinor returns 12
drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
(II) AIGLX: enabled GLX_MESA_copy_sub_buffer
(II) AIGLX: enabled GLX_SGI_make_current_read
(II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
(II) AIGLX: enabled GLX_texture_from_pixmap with driver support
(II) AIGLX: Loaded and initialized /usr/lib/dri/r300_dri.so
(II) GLX: Initialized DRI GL provider for screen 0
(II) RADEON(0): Setting screen physical size to 444 x 277
(II) config/udev: Adding input device Power Button (/dev/input/event4)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event4"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device Video Bus (/dev/input/event5)
(**) Video Bus: Applying InputClass "evdev keyboard catchall"
(**) Video Bus: always reports core events
(**) Video Bus: Device: "/dev/input/event5"
(II) Video Bus: Found keys
(II) Video Bus: Configuring as keyboard
(II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device Lid Switch (/dev/input/event3)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Sleep Button (/dev/input/event2)
(**) Sleep Button: Applying InputClass "evdev keyboard catchall"
(**) Sleep Button: always reports core events
(**) Sleep Button: Device: "/dev/input/event2"
(II) Sleep Button: Found keys
(II) Sleep Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device HDA Digital PCBeep (/dev/input/event10)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Logitech USB Receiver (/dev/input/event9)
(**) Logitech USB Receiver: Applying InputClass "evdev pointer catchall"
(**) Logitech USB Receiver: always reports core events
(**) Logitech USB Receiver: Device: "/dev/input/event9"
(II) Logitech USB Receiver: Found 12 mouse buttons
(II) Logitech USB Receiver: Found scroll wheel(s)
(II) Logitech USB Receiver: Found relative axes
(II) Logitech USB Receiver: Found x and y relative axes
(II) Logitech USB Receiver: Configuring as mouse
(**) Logitech USB Receiver: YAxisMapping: buttons 4 and 5
(**) Logitech USB Receiver: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Logitech USB Receiver" (type: MOUSE)
(II) Logitech USB Receiver: initialized for relative axes.
(II) config/udev: Adding input device Logitech USB Receiver (/dev/input/mouse2)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event1)
(**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
(**) AT Translated Set 2 keyboard: always reports core events
(**) AT Translated Set 2 keyboard: Device: "/dev/input/event1"
(II) AT Translated Set 2 keyboard: Found keys
(II) AT Translated Set 2 keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/event8)
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad catchall"
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 1.2.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(II) Synaptics touchpad driver version 1.2.2
(**) Option "Device" "/dev/input/event8"
(II) SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5472
(II) SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4448
(II) SynPS/2 Synaptics TouchPad: pressure range 0 - 255
(II) SynPS/2 Synaptics TouchPad: finger width range 0 - 0
(II) SynPS/2 Synaptics TouchPad: buttons: left right middle double triple
(--) SynPS/2 Synaptics TouchPad: touchpad found
(**) SynPS/2 Synaptics TouchPad: always reports core events
(II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD)
(**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration profile 0
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor: 2.000
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration threshold: 4
(--) SynPS/2 Synaptics TouchPad: touchpad found
(II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/mouse1)
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
(II) Synaptics touchpad driver version 1.2.2
SynPS/2 Synaptics TouchPad no synaptics event device found
(**) Option "Device" "/dev/input/mouse1"
Query no Synaptics: 6003C8
(--) SynPS/2 Synaptics TouchPad: no supported touchpad found
(EE) SynPS/2 Synaptics TouchPad Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "SynPS/2 Synaptics TouchPad"
(II) UnloadModule: "synaptics"
(II) config/udev: Adding input device PS/2 Generic Mouse (/dev/input/event11)
(**) PS/2 Generic Mouse: Applying InputClass "evdev pointer catchall"
(**) PS/2 Generic Mouse: always reports core events
(**) PS/2 Generic Mouse: Device: "/dev/input/event11"
(II) PS/2 Generic Mouse: Found 3 mouse buttons
(II) PS/2 Generic Mouse: Found relative axes
(II) PS/2 Generic Mouse: Found x and y relative axes
(II) PS/2 Generic Mouse: Configuring as mouse
(**) PS/2 Generic Mouse: YAxisMapping: buttons 4 and 5
(**) PS/2 Generic Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "PS/2 Generic Mouse" (type: MOUSE)
(II) PS/2 Generic Mouse: initialized for relative axes.
(II) config/udev: Adding input device PS/2 Generic Mouse (/dev/input/mouse3)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ST LIS3LV02DL Accelerometer (/dev/input/event6)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ST LIS3LV02DL Accelerometer (/dev/input/js0)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device PC Speaker (/dev/input/event7)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Macintosh mouse button emulation (/dev/input/event0)
(**) Macintosh mouse button emulation: Applying InputClass "evdev pointer catchall"
(**) Macintosh mouse button emulation: always reports core events
(**) Macintosh mouse button emulation: Device: "/dev/input/event0"
(II) Macintosh mouse button emulation: Found 3 mouse buttons
(II) Macintosh mouse button emulation: Found relative axes
(II) Macintosh mouse button emulation: Found x and y relative axes
(II) Macintosh mouse button emulation: Configuring as mouse
(**) Macintosh mouse button emulation: YAxisMapping: buttons 4 and 5
(**) Macintosh mouse button emulation: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Macintosh mouse button emulation" (type: MOUSE)
(II) Macintosh mouse button emulation: initialized for relative axes.
(II) config/udev: Adding input device Macintosh mouse button emulation (/dev/input/mouse0)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event12)
(**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
(**) ACPI Virtual Keyboard Device: always reports core events
(**) ACPI Virtual Keyboard Device: Device: "/dev/input/event12"
(II) ACPI Virtual Keyboard Device: Found keys
(II) ACPI Virtual Keyboard Device: Configuring as keyboard
(II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us"
(II) AIGLX: Suspending AIGLX clients for VT switch
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Blank CRTC 1 success
Disable CRTC 1 success
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xefffe000 0xefffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0x00000000
(II) RADEON(0): avivo_restore !
Enable CRTC 0 success
Unblank CRTC 0 success
(II) Open ACPI successful (/var/run/acpid.socket)
(II) AIGLX: Resuming AIGLX clients after VT switch
Output CRT1 disable success
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Blank CRTC 1 success
Disable CRTC 1 success
Output LCD1 disable success
Blank CRTC 0 success
Disable CRTC 0 success
Mode 1680x1050 - 1904 1066 10
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0xefffe000 0xefffe000
(II) RADEON(0):   MC_AGP_LOCATION  : 0xffffffc0
Picked PLL 0
best_freq: 122000
best_feedback_div: 122
best_frac_feedback_div: 0
best_ref_div: 3
best_post_div: 9
(II) RADEON(0): crtc(0) Clock: mode 122000, PLL 1220000
(II) RADEON(0): crtc(0) PLL  : refdiv 3, fbdiv 0x7A(122), fracfbdiv 0, pdiv 9
Set CRTC 0 PLL success
Set CRTC Timing success
Set CRTC 0 Overscan success
Not using RMX
scaler 0 setup success
Set CRTC 0 Source success
crtc 0 YUV disable setup success
Output digital setup success
Output LCD1 enable success
Enable CRTC 0 success
Unblank CRTC 0 success
Output CRT1 disable success
Blank CRTC 1 success
Disable CRTC 1 success
(II) RADEON(0): [RESUME] Attempting to re-init Radeon hardware.
Dac detection success
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): EDID vendor "LPL", prod id 52480
(II) RADEON(0): Printing DDC gathered Modelines:
(II) RADEON(0): Modeline "1680x1050"x0.0  122.00  1680 1712 1776 1904  1050 1051 1054 1066 -hsync -vsync (64.1 kHz)
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): EDID data from the display on output: LVDS ----------------------
(II) RADEON(0): Manufacturer: LPL  Model: cd00  Serial#: 0
(II) RADEON(0): Year: 2006  Week: 0
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified
(II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.590 redY: 0.345   greenX: 0.326 greenY: 0.544
(II) RADEON(0): blueX: 0.157 blueY: 0.141   whiteX: 0.313 whiteY: 0.329
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 122.0 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0):  LGPhilipsLCD
(II) RADEON(0):  LP154WE2-TLA1
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00320c00cd00000000
(II) RADEON(0): 	00100103802115780a19459758538b28
(II) RADEON(0): 	24505400000001010101010101010101
(II) RADEON(0): 	010101010101a82f90e0601a10402040
(II) RADEON(0): 	13004bcf100000190000000000000000
(II) RADEON(0): 	00000000000000000000000000fe004c
(II) RADEON(0): 	475068696c6970734c43440a000000fe
(II) RADEON(0): 	004c503135345745322d544c41310035
(II) RADEON(0): EDID vendor "LPL", prod id 52480
(II) RADEON(0): Output: DVI-0, Detected Monitor Type: 0
Unhandled monitor type 0
(--) SynPS/2 Synaptics TouchPad: touchpad found
(II) Power Button: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) Logitech USB Receiver: Device reopened after 1 attempts.
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) PS/2 Generic Mouse: Device reopened after 1 attempts.
(II) Macintosh mouse button emulation: Device reopened after 1 attempts.
(II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
Dac detection success
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): EDID vendor "LPL", prod id 52480
(II) RADEON(0): Printing DDC gathered Modelines:
(II) RADEON(0): Modeline "1680x1050"x0.0  122.00  1680 1712 1776 1904  1050 1051 1054 1066 -hsync -vsync (64.1 kHz)
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): EDID data from the display on output: LVDS ----------------------
(II) RADEON(0): Manufacturer: LPL  Model: cd00  Serial#: 0
(II) RADEON(0): Year: 2006  Week: 0
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified
(II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.590 redY: 0.345   greenX: 0.326 greenY: 0.544
(II) RADEON(0): blueX: 0.157 blueY: 0.141   whiteX: 0.313 whiteY: 0.329
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 122.0 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0):  LGPhilipsLCD
(II) RADEON(0):  LP154WE2-TLA1
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00320c00cd00000000
(II) RADEON(0): 	00100103802115780a19459758538b28
(II) RADEON(0): 	24505400000001010101010101010101
(II) RADEON(0): 	010101010101a82f90e0601a10402040
(II) RADEON(0): 	13004bcf100000190000000000000000
(II) RADEON(0): 	00000000000000000000000000fe004c
(II) RADEON(0): 	475068696c6970734c43440a000000fe
(II) RADEON(0): 	004c503135345745322d544c41310035
(II) RADEON(0): EDID vendor "LPL", prod id 52480
(II) RADEON(0): Output: DVI-0, Detected Monitor Type: 0
Unhandled monitor type 0
Dac detection success
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): EDID vendor "LPL", prod id 52480
(II) RADEON(0): Printing DDC gathered Modelines:
(II) RADEON(0): Modeline "1680x1050"x0.0  122.00  1680 1712 1776 1904  1050 1051 1054 1066 -hsync -vsync (64.1 kHz)
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): EDID data from the display on output: LVDS ----------------------
(II) RADEON(0): Manufacturer: LPL  Model: cd00  Serial#: 0
(II) RADEON(0): Year: 2006  Week: 0
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified
(II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.590 redY: 0.345   greenX: 0.326 greenY: 0.544
(II) RADEON(0): blueX: 0.157 blueY: 0.141   whiteX: 0.313 whiteY: 0.329
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 122.0 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0):  LGPhilipsLCD
(II) RADEON(0):  LP154WE2-TLA1
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00320c00cd00000000
(II) RADEON(0): 	00100103802115780a19459758538b28
(II) RADEON(0): 	24505400000001010101010101010101
(II) RADEON(0): 	010101010101a82f90e0601a10402040
(II) RADEON(0): 	13004bcf100000190000000000000000
(II) RADEON(0): 	00000000000000000000000000fe004c
(II) RADEON(0): 	475068696c6970734c43440a000000fe
(II) RADEON(0): 	004c503135345745322d544c41310035
(II) RADEON(0): EDID vendor "LPL", prod id 52480
(II) RADEON(0): Output: DVI-0, Detected Monitor Type: 0
Unhandled monitor type 0
Dac detection success
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): EDID vendor "LPL", prod id 52480
(II) RADEON(0): Printing DDC gathered Modelines:
(II) RADEON(0): Modeline "1680x1050"x0.0  122.00  1680 1712 1776 1904  1050 1051 1054 1066 -hsync -vsync (64.1 kHz)
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): EDID data from the display on output: LVDS ----------------------
(II) RADEON(0): Manufacturer: LPL  Model: cd00  Serial#: 0
(II) RADEON(0): Year: 2006  Week: 0
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified
(II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.590 redY: 0.345   greenX: 0.326 greenY: 0.544
(II) RADEON(0): blueX: 0.157 blueY: 0.141   whiteX: 0.313 whiteY: 0.329
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 122.0 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0):  LGPhilipsLCD
(II) RADEON(0):  LP154WE2-TLA1
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00320c00cd00000000
(II) RADEON(0): 	00100103802115780a19459758538b28
(II) RADEON(0): 	24505400000001010101010101010101
(II) RADEON(0): 	010101010101a82f90e0601a10402040
(II) RADEON(0): 	13004bcf100000190000000000000000
(II) RADEON(0): 	00000000000000000000000000fe004c
(II) RADEON(0): 	475068696c6970734c43440a000000fe
(II) RADEON(0): 	004c503135345745322d544c41310035
(II) RADEON(0): EDID vendor "LPL", prod id 52480
(II) RADEON(0): Output: DVI-0, Detected Monitor Type: 0
Unhandled monitor type 0
Dac detection success
(II) RADEON(0): Output: VGA-0, Detected Monitor Type: 0
(II) RADEON(0): EDID vendor "LPL", prod id 52480
(II) RADEON(0): Printing DDC gathered Modelines:
(II) RADEON(0): Modeline "1680x1050"x0.0  122.00  1680 1712 1776 1904  1050 1051 1054 1066 -hsync -vsync (64.1 kHz)
(II) RADEON(0): Output: LVDS, Detected Monitor Type: 2
(II) RADEON(0): EDID data from the display on output: LVDS ----------------------
(II) RADEON(0): Manufacturer: LPL  Model: cd00  Serial#: 0
(II) RADEON(0): Year: 2006  Week: 0
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified
(II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.590 redY: 0.345   greenX: 0.326 greenY: 0.544
(II) RADEON(0): blueX: 0.157 blueY: 0.141   whiteX: 0.313 whiteY: 0.329
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 122.0 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1680  h_sync: 1712  h_sync_end 1776 h_blank_end 1904 h_border: 0
(II) RADEON(0): v_active: 1050  v_sync: 1051  v_sync_end 1054 v_blanking: 1066 v_border: 0
(II) RADEON(0):  LGPhilipsLCD
(II) RADEON(0):  LP154WE2-TLA1
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00320c00cd00000000
(II) RADEON(0): 	00100103802115780a19459758538b28
(II) RADEON(0): 	24505400000001010101010101010101
(II) RADEON(0): 	010101010101a82f90e0601a10402040
(II) RADEON(0): 	13004bcf100000190000000000000000
(II) RADEON(0): 	00000000000000000000000000fe004c
(II) RADEON(0): 	475068696c6970734c43440a000000fe
(II) RADEON(0): 	004c503135345745322d544c41310035
(II) RADEON(0): EDID vendor "LPL", prod id 52480
(II) RADEON(0): Output: DVI-0, Detected Monitor Type: 0
Unhandled monitor type 0

udev information:
P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4
N: input/event4
S: char/13:68
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4
E: SUBSYSTEM=input
E: DEVNAME=input/event4
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=68
E: DEVLINKS=/dev/char/13:68
E: DMI_VENDOR=Hewlett-Packard

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:00/LNXVIDEO:00/input/input5/event5
N: input/event5
S: char/13:69
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:00/LNXVIDEO:00/input/input5/event5
E: SUBSYSTEM=input
E: DEVNAME=input/event5
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=69
E: DEVLINKS=/dev/char/13:69
E: DMI_VENDOR=Hewlett-Packard

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input3/event3
N: input/event3
S: char/13:67
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input3/event3
E: SUBSYSTEM=input
E: DEVNAME=input/event3
E: ID_INPUT=1
E: DMI_VENDOR=Hewlett-Packard
E: MAJOR=13
E: MINOR=67
E: DEVLINKS=/dev/char/13:67

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
N: input/event2
S: char/13:66
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
E: SUBSYSTEM=input
E: DEVNAME=input/event2
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=66
E: DEVLINKS=/dev/char/13:66
E: DMI_VENDOR=Hewlett-Packard

P: /devices/pci0000:00/0000:00:1b.0/input/input10/event10
N: input/event10
S: char/13:74
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/input/input10/event10
E: SUBSYSTEM=input
E: DEVNAME=input/event10
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=Hewlett-Packard
E: MAJOR=13
E: MINOR=74
E: DEVLINKS=/dev/char/13:74

P: /devices/pci0000:00/0000:00:1d.2/usb4/4-2/4-2:1.0/input/input9/event9
N: input/event9
S: char/13:73
S: input/by-id/usb-Logitech_USB_Receiver-event-mouse
S: input/by-path/pci-0000:00:1d.2-usb-0:2:1.0-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.2/usb4/4-2/4-2:1.0/input/input9/event9
E: SUBSYSTEM=input
E: DEVNAME=input/event9
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: ID_MODEL=USB_Receiver
E: ID_MODEL_ENC=USB\x20Receiver
E: ID_MODEL_ID=c51b
E: ID_REVISION=4600
E: ID_SERIAL=Logitech_USB_Receiver
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030102:030000:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usbhid
E: ID_PATH=pci-0000:00:1d.2-usb-0:2:1.0
E: MAJOR=13
E: MINOR=73
E: DEVLINKS=/dev/char/13:73 /dev/input/by-id/usb-Logitech_USB_Receiver-event-mouse /dev/input/by-path/pci-0000:00:1d.2-usb-0:2:1.0-event-mouse

P: /devices/pci0000:00/0000:00:1d.2/usb4/4-2/4-2:1.0/input/input9/mouse2
N: input/mouse2
S: char/13:34
S: input/by-id/usb-Logitech_USB_Receiver-mouse
S: input/by-path/pci-0000:00:1d.2-usb-0:2:1.0-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.2/usb4/4-2/4-2:1.0/input/input9/mouse2
E: SUBSYSTEM=input
E: DEVNAME=input/mouse2
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: ID_MODEL=USB_Receiver
E: ID_MODEL_ENC=USB\x20Receiver
E: ID_MODEL_ID=c51b
E: ID_REVISION=4600
E: ID_SERIAL=Logitech_USB_Receiver
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030102:030000:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usbhid
E: ID_PATH=pci-0000:00:1d.2-usb-0:2:1.0
E: MAJOR=13
E: MINOR=34
E: DEVLINKS=/dev/char/13:34 /dev/input/by-id/usb-Logitech_USB_Receiver-mouse /dev/input/by-path/pci-0000:00:1d.2-usb-0:2:1.0-mouse

P: /devices/platform/i8042/serio0/input/input1/event1
N: input/event1
S: char/13:65
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input1/event1
E: SUBSYSTEM=input
E: DEVNAME=input/event1
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=pc105
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=65
E: DEVLINKS=/dev/char/13:65 /dev/input/by-path/platform-i8042-serio-0-event-kbd
E: DMI_VENDOR=Hewlett-Packard

P: /devices/platform/i8042/serio4/input/input8/event8
N: input/event8
S: char/13:72
S: input/by-path/platform-i8042-serio-4-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio4/input/input8/event8
E: SUBSYSTEM=input
E: DEVNAME=input/event8
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-4
E: DMI_VENDOR=Hewlett-Packard
E: MAJOR=13
E: MINOR=72
E: DEVLINKS=/dev/char/13:72 /dev/input/by-path/platform-i8042-serio-4-event-mouse

P: /devices/platform/i8042/serio4/input/input8/mouse1
N: input/mouse1
S: char/13:33
S: input/by-path/platform-i8042-serio-4-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio4/input/input8/mouse1
E: SUBSYSTEM=input
E: DEVNAME=input/mouse1
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-4
E: MAJOR=13
E: MINOR=33
E: DEVLINKS=/dev/char/13:33 /dev/input/by-path/platform-i8042-serio-4-mouse

P: /devices/platform/i8042/serio4/serio5/input/input11/event11
N: input/event11
S: char/13:75
S: input/by-path/platform-i8042-serio-5-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio4/serio5/input/input11/event11
E: SUBSYSTEM=input
E: DEVNAME=input/event11
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-5
E: DMI_VENDOR=Hewlett-Packard
E: MAJOR=13
E: MINOR=75
E: DEVLINKS=/dev/char/13:75 /dev/input/by-path/platform-i8042-serio-5-event-mouse

P: /devices/platform/i8042/serio4/serio5/input/input11/mouse3
N: input/mouse3
S: char/13:35
S: input/by-path/platform-i8042-serio-5-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio4/serio5/input/input11/mouse3
E: SUBSYSTEM=input
E: DEVNAME=input/mouse3
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-5
E: MAJOR=13
E: MINOR=35
E: DEVLINKS=/dev/char/13:35 /dev/input/by-path/platform-i8042-serio-5-mouse

P: /devices/platform/lis3lv02d/input/input6/event6
N: input/event6
S: char/13:70
S: input/by-path/platform-lis3lv02d-event
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/lis3lv02d/input/input6/event6
E: SUBSYSTEM=input
E: DEVNAME=input/event6
E: ID_INPUT=1
E: ID_PATH=platform-lis3lv02d
E: DMI_VENDOR=Hewlett-Packard
E: MAJOR=13
E: MINOR=70
E: DEVLINKS=/dev/char/13:70 /dev/input/by-path/platform-lis3lv02d-event

P: /devices/platform/lis3lv02d/input/input6/js0
N: input/js0
S: char/13:0
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/lis3lv02d/input/input6/js0
E: SUBSYSTEM=input
E: DEVNAME=input/js0
E: ID_INPUT=1
E: ID_PATH=platform-lis3lv02d
E: MAJOR=13
E: MINOR=0
E: DEVLINKS=/dev/char/13:0

P: /devices/platform/pcspkr/input/input7/event7
N: input/event7
S: char/13:71
S: input/by-path/platform-pcspkr-event-spkr
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input7/event7
E: SUBSYSTEM=input
E: DEVNAME=input/event7
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: DMI_VENDOR=Hewlett-Packard
E: MAJOR=13
E: MINOR=71
E: DEVLINKS=/dev/char/13:71 /dev/input/by-path/platform-pcspkr-event-spkr

P: /devices/virtual/input/input0/event0
N: input/event0
S: char/13:64
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input0/event0
E: SUBSYSTEM=input
E: DEVNAME=input/event0
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: DMI_VENDOR=Hewlett-Packard
E: MAJOR=13
E: MINOR=64
E: DEVLINKS=/dev/char/13:64

P: /devices/virtual/input/input0/mouse0
N: input/mouse0
S: char/13:32
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input0/mouse0
E: SUBSYSTEM=input
E: DEVNAME=input/mouse0
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: MAJOR=13
E: MINOR=32
E: DEVLINKS=/dev/char/13:32

P: /devices/virtual/input/input12/event12
N: input/event12
S: char/13:76
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input12/event12
E: SUBSYSTEM=input
E: DEVNAME=input/event12
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: XKBMODEL=pc105
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=76
E: DEVLINKS=/dev/char/13:76
E: DMI_VENDOR=Hewlett-Packard

DRM Information from dmesg:
[    0.000000] No AGP bridge found
[    0.647356] Linux agpgart interface v0.103
[    5.944864] [drm] Initialized drm 1.1.0 20060810
[    7.095508] [drm] radeon defaulting to userspace modesetting.
[    7.142725] [drm] Initialized radeon 1.32.0 20080528 for 0000:01:00.0 on minor 0
[   47.329876] [drm] Setting GART location based on new memory map
[   47.331488] [drm] Loading R500 Microcode
[   47.344113] [drm] Num pipes: 1
[   47.344122] [drm] writeback test succeeded in 1 usecs
[   56.548125] [drm] Num pipes: 1
[   86.482523] [drm] Num pipes: 1


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-video-radeon depends on:
ii  libc6                         2.11.1-3   Embedded GNU C Library: Shared lib
ii  libdrm-radeon1                2.4.18-6   Userspace interface to radeon-spec
ii  libdrm2                       2.4.18-6   Userspace interface to kernel DRM 
ii  libpciaccess0                 0.11.0-2   Generic PCI access library for X
ii  libpixman-1-0                 0.16.4-1   pixel-manipulation library for X a
ii  xserver-xorg-core [xorg-video 2:1.7.7-2  Xorg X server - core server

xserver-xorg-video-radeon recommends no packages.

Versions of packages xserver-xorg-video-radeon suggests:
pn  firmware-linux                <none>     (no description available)

-- Configuration Files:
/etc/modprobe.d/radeon-kms.conf changed:


-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#586995; Package xserver-xorg-video-radeon. (Thu, 24 Jun 2010 13:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 24 Jun 2010 13:33:08 GMT) Full text and rfc822 format available.

Message #10 received at 586995@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Teodor <mteodor@gmail.com>, 586995@bugs.debian.org
Subject: Re: Bug#586995: xserver-xorg-video-radeon: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Thu, 24 Jun 2010 14:31:17 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jun 24, 2010 at 14:38:47 +0300, Teodor wrote:

> After the last upgrade the screen is unreadable at boot, both the console
> and the X11 login prompt. The only way for me to work was to boot with and
> older kernel (2.6.32-3-amd64) and comment the line from /etc/modprobe.d
> which enables the KMS for radeon. The kernel boot option 'nomodeset' on
> grub2 didn't worked as long as the line from radeon-kms.conf is enabled.
> 
[...]
> Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-amd64 root=UUID=6f822aa6-3605-4e2e-bfca-7f27fc0ad9fa ro panic=20 vga=788

You need to remove the vga=... parameter from your kernel command line.

[...]
> (II) Primary Device is: PCI 01@00:00:0
> (II) [KMS] drm report modesetting isn't supported.

Please attach a log from running with kms enabled.

> Versions of packages xserver-xorg-video-radeon suggests:
> pn  firmware-linux                <none>     (no description available)
> 
And make sure this package is installed.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#586995; Package xserver-xorg-video-radeon. (Thu, 30 Sep 2010 23:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 30 Sep 2010 23:03:02 GMT) Full text and rfc822 format available.

Message #15 received at 586995@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Teodor <mteodor@gmail.com>
Cc: 586995@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#586995: xserver-xorg-video-radeon: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Fri, 1 Oct 2010 00:59:48 +0200
[Message part 1 (text/plain, inline)]
tag 586995 moreinfo
thanks

Julien Cristau <jcristau@debian.org> (24/06/2010):
> You need to remove the vga=... parameter from your kernel command line.
> […]
> Please attach a log from running with kms enabled.
> […]
> And make sure this package [firmware-linux] is installed.

We need more info from the submitter, tagging as such.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Thu, 30 Sep 2010 23:03:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#586995; Package xserver-xorg-video-radeon. (Sun, 03 Oct 2010 20:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor MICU <mteodor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 03 Oct 2010 20:39:07 GMT) Full text and rfc822 format available.

Message #22 received at 586995@bugs.debian.org (full text, mbox):

From: Teodor MICU <mteodor@gmail.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 586995@bugs.debian.org
Subject: Bug#586995: xserver-xorg-video-radeon: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Sun, 3 Oct 2010 23:37:16 +0300
[Message part 1 (text/plain, inline)]
Package: xserver-xorg-video-radeon
Version: 1:6.13.1-2
Severity: important

Hi,

On Thu, Jun 24, 2010 at 4:31 PM, Julien Cristau <jcristau@debian.org> wrote:
>> Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-amd64 ... vga=788
>
> You need to remove the vga=... parameter from your kernel command line.

Ok, I've removed the vga=  boot parameter.

> Please attach a log from running with kms enabled.

Attached together with the syslog lines from those 2 minutes window
while running
with KMS enabled. I've removed some entries unrelated to this issue
(network and
modem manager, bluetooth, avahi and others).

>> Versions of packages xserver-xorg-video-radeon suggests:
>> pn  firmware-linux                <none>     (no description available)
>>
> And make sure this package is installed.

I installed it but it shouldn't matter since the two dependencies were
already installed. Also, if it is required a dependency should be
added to the package?! But this will make it to move from main to
contrib. :/

This is what I know so far. I've tested the new package and all the
kernel versions up to -24 and there is no difference. Because I get
the same display "unreadable" even in single user mode (were no other
application is running except the root shell) I strongly believe that
this is a bug in linux-kernel rather than a bug in the radeon package.
The only reason I've filled the bug to this package is that this
package own the /etc/modprobe.d/radeon-kms.conf file which is enabling
KMS.

In a previous test I've seen some drm:radeon_fence_wait errors which
are also attached. However this didn't show up with the latest linux
kernel.

Thanks


-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Oct  6  2009 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1881152 Sep  8 21:44 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
01:00.0 VGA compatible controller: ATI Technologies Inc M56P [Radeon
Mobility X1600]

/etc/X11/xorg.conf does not exist.

Kernel version (/proc/version):
Linux version 2.6.32-5-amd64 (Debian 2.6.32-24) (ben@decadent.org.uk)
(gcc version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Thu Sep 30 03:34:00 UTC
2010
[radeon_fence_wait.txt (text/plain, attachment)]
[Xorg.0.log (text/x-log, attachment)]
[syslog (application/octet-stream, attachment)]

Removed tag(s) moreinfo. Request was from Teodor MICU <mteodor@gmail.com> to control@bugs.debian.org. (Sun, 03 Oct 2010 20:45:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#586995; Package xserver-xorg-video-radeon. (Sun, 03 Oct 2010 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 03 Oct 2010 21:03:03 GMT) Full text and rfc822 format available.

Message #29 received at 586995@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Teodor MICU <mteodor@gmail.com>, 586995@bugs.debian.org
Subject: Re: Bug#586995: xserver-xorg-video-radeon: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Sun, 3 Oct 2010 22:59:05 +0200
[Message part 1 (text/plain, inline)]
Hi Teodor,

could you please try with the linux kernel in experimental, and if
that doesn't help, file a bug upstream at:
  https://bugs.freedesktop.org/

and report the URL here.

Once that done, I'll probably reassign the bug to the kernel anyway.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#586995; Package xserver-xorg-video-radeon. (Mon, 04 Oct 2010 06:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor MICU <mteodor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 04 Oct 2010 06:48:03 GMT) Full text and rfc822 format available.

Message #34 received at 586995@bugs.debian.org (full text, mbox):

From: Teodor MICU <mteodor@gmail.com>
To: Cyril Brulebois <kibi@debian.org>
Cc: 586995@bugs.debian.org
Subject: Re: Bug#586995: xserver-xorg-video-radeon: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Mon, 4 Oct 2010 09:44:10 +0300
[Message part 1 (text/plain, inline)]
Hi,

On Sun, Oct 3, 2010 at 11:59 PM, Cyril Brulebois <kibi@debian.org> wrote:
> could you please try with the linux kernel in experimental

I'm running with the latest kernel from experimental and the problem
seems to be fixed. However, a kernel ops was not expected but probably
not related to KMS.

> Once that done, I'll probably reassign the bug to the kernel anyway.

Ok. Note that this problem has been in 2.6.32-5 from the beginning,
the previous ABI versions did not had KMS enabled.

Thanks


-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Oct  6  2009 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1881152 Sep  8 21:44 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
01:00.0 VGA compatible controller: ATI Technologies Inc M56P [Radeon
Mobility X1600]

/etc/X11/xorg.conf does not exist.

Kernel version (/proc/version):
Linux version 2.6.36-rc5-amd64 (Debian 2.6.36~rc5-1~experimental.1)
(ben@decadent.org.uk) (gcc version 4.4.5 20100902 (prerelease) (Debian
4.4.4-13) ) #1 SMP Sat Sep 25 14:21:19 UTC 2010

Xorg X server log files on system:
-rw-r--r-- 1 root root 33966 Oct  4 09:23 /var/log/Xorg.0.log
[oops.txt (text/plain, attachment)]
[Xorg.0.log (text/x-log, attachment)]
[syslog.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#586995; Package xserver-xorg-video-radeon. (Mon, 04 Oct 2010 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 04 Oct 2010 08:27:03 GMT) Full text and rfc822 format available.

Message #39 received at 586995@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Teodor MICU <mteodor@gmail.com>, 586995@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#586995: xserver-xorg-video-radeon: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Mon, 4 Oct 2010 10:23:30 +0200
[Message part 1 (text/plain, inline)]
On Mon, Oct  4, 2010 at 09:44:10 +0300, Teodor MICU wrote:

> Hi,
> 
> On Sun, Oct 3, 2010 at 11:59 PM, Cyril Brulebois <kibi@debian.org> wrote:
> > could you please try with the linux kernel in experimental
> 
> I'm running with the latest kernel from experimental and the problem
> seems to be fixed.

Great, thanks for testing.

> However, a kernel ops was not expected but probably not related to
> KMS.
> 
That's probably #598207.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#586995; Package xserver-xorg-video-radeon. (Fri, 08 Oct 2010 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor MICU <mteodor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 08 Oct 2010 09:51:03 GMT) Full text and rfc822 format available.

Message #44 received at 586995@bugs.debian.org (full text, mbox):

From: Teodor MICU <mteodor@gmail.com>
To: Cyril Brulebois <kibi@debian.org>
Cc: 586995@bugs.debian.org
Subject: Bug#586995: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Fri, 8 Oct 2010 12:49:17 +0300
reassign 586995 linux-image-2.6.32-5-amd64 2.6.32-24
retitle 586995 KMS not working on ATI Technologies Inc M56P [Radeon
Mobility X1600]
stop

On Sun, Oct 3, 2010 at 11:59 PM, Cyril Brulebois <kibi@debian.org> wrote:
> Once that done, I'll probably reassign the bug to the kernel anyway.

I've done that now.

Thanks




Bug reassigned from package 'xserver-xorg-video-radeon' to 'linux-image-2.6.32-5-amd64'. Request was from Teodor MICU <mteodor@gmail.com> to control@bugs.debian.org. (Fri, 08 Oct 2010 09:51:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions xserver-xorg-video-ati/1:6.13.0-2 and xserver-xorg-video-ati/1:6.13.1-2. Request was from Teodor MICU <mteodor@gmail.com> to control@bugs.debian.org. (Fri, 08 Oct 2010 09:51:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.32-24. Request was from Teodor MICU <mteodor@gmail.com> to control@bugs.debian.org. (Fri, 08 Oct 2010 09:51:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'KMS not working on ATI Technologies Inc M56P [Radeon' from 'xserver-xorg-video-radeon: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]' Request was from Teodor MICU <mteodor@gmail.com> to control@bugs.debian.org. (Fri, 08 Oct 2010 09:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#586995; Package linux-image-2.6.32-5-amd64. (Fri, 08 Oct 2010 10:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor MICU <mteodor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 08 Oct 2010 10:03:07 GMT) Full text and rfc822 format available.

Message #57 received at 586995@bugs.debian.org (full text, mbox):

From: Teodor MICU <mteodor@gmail.com>
To: 586995@bugs.debian.org
Subject: Bug#586995: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Fri, 8 Oct 2010 13:00:52 +0300
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 2.6.32-24
Severity: normal

Attached is the file containing the reportbug detected settings.
Previous discussion can be found in the BTS.
The final goal is to find a fix for this issue in 'squeeze'.

Thanks
[reportbug-linux-image-2.6.32-5-amd64-20101008-3059-vp9_ta.txt (text/plain, attachment)]

Bug Marked as fixed in versions 2.6.36~rc5-1~experimental.1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 10 Oct 2010 13:45:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#586995; Package linux-image-2.6.32-5-amd64. (Sun, 10 Oct 2010 14:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 10 Oct 2010 14:18:09 GMT) Full text and rfc822 format available.

Message #64 received at 586995@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Teodor MICU <mteodor@gmail.com>, 586995@bugs.debian.org
Subject: Re: Bug#586995: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Sun, 10 Oct 2010 15:14:05 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2010-10-08 at 13:00 +0300, Teodor MICU wrote:
> Package: linux-2.6
> Version: 2.6.32-24
> Severity: normal
> 
> Attached is the file containing the reportbug detected settings.
> Previous discussion can be found in the BTS.
> The final goal is to find a fix for this issue in 'squeeze'.

I can't see any changes to radeon between 2.6.33 and 2.6.36 that are
obviously related to this.

Could you test some of the intermediate versions (2.6.34, 2.6.35) from
<http://snapshot.debian.org/package/linux-2.6/> so that we have a
smaller number of changes to look through?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#586995; Package linux-image-2.6.32-5-amd64. (Sun, 17 Oct 2010 09:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor MICU <mteodor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Oct 2010 09:39:04 GMT) Full text and rfc822 format available.

Message #69 received at 586995@bugs.debian.org (full text, mbox):

From: Teodor MICU <mteodor@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 586995@bugs.debian.org
Subject: Re: Bug#586995: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Sun, 17 Oct 2010 12:34:15 +0300
[Message part 1 (text/plain, inline)]
Hi,

On Sun, Oct 10, 2010 at 5:14 PM, Ben Hutchings <ben@decadent.org.uk> wrote:
> I can't see any changes to radeon between 2.6.33 and 2.6.36 that are
> obviously related to this.
>
> Could you test some of the intermediate versions (2.6.34, 2.6.35) from
> <http://snapshot.debian.org/package/linux-2.6/> so that we have a
> smaller number of changes to look through?

So far I've tested the first two packages from .33 and .34 from snapshot:
  linux-image-2.6.33-2-amd64_2.6.33-1~experimental.1_amd64.deb
  linux-image-2.6.34-1-amd64_2.6.34-1~experimental.1_amd64.deb

These are the results:
- both had no problem during the boot process (the console was not
scrambled). However the KMS seems to be enabled after X display
manager, but with linux 2.6.32 and 2.6.36 is starting early in the
boot process before the fsck.
- X11/gnome is working properly as it is on 2.6.36-rc6 (with KMS
enabled of course).
- with 2.6.33-1~experimental.1 the first switch from X11 to F1-F6
consoles is scrambled the same as on 2.6.32-25 which is currently on
squeeze;
- with 2.6.34 the first switch from X11 to terminal consoles (1-6) is
displayed properly as it is on 2.6.36;
- with both .33 and .34 from the second switch from X11 to terminal
consoles I get blank as reported on other bug reports. On reboot the
display remains blank.

To conclude, the problem doesn't appear to be fixed in .33 or .34 but
at least X11 is working properly. Let me know if you need me to test
other linux packages from snapshot.

Thanks
[reportbug-linux-image-2.6.33-2-amd64-20101013-2894-oWuAXX.txt (text/plain, attachment)]
[reportbug-linux-image-2.6.34-1-amd64-20101013-23437-TOxN4k.txt (text/plain, attachment)]

Bug reassigned from package 'linux-image-2.6.32-5-amd64' to 'linux-2.6'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 05 Jun 2011 03:51:40 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.32-24 and linux-2.6/2.6.32-24. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 05 Jun 2011 03:51:41 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions 2.6.36~rc5-1~experimental.1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 05 Jun 2011 03:51:41 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-24. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 05 Jun 2011 03:51:42 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.32-24. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 05 Jun 2011 03:51:43 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 2.6.36~rc5-1~experimental.1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 05 Jun 2011 03:51:43 GMT) Full text and rfc822 format available.

Reply sent to Teodor MICU <mteodor@gmail.com>:
You have taken responsibility. (Wed, 18 Apr 2012 08:30:48 GMT) Full text and rfc822 format available.

Notification sent to Teodor <mteodor@gmail.com>:
Bug acknowledged by developer. (Wed, 18 Apr 2012 08:30:48 GMT) Full text and rfc822 format available.

Message #86 received at 586995-done@bugs.debian.org (full text, mbox):

From: Teodor MICU <mteodor@gmail.com>
To: 586995-done@bugs.debian.org
Subject: Re: Bug#586995: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Wed, 18 Apr 2012 11:03:14 +0300
This bug should be closed and archived -- it works properly on wheezy.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#586995; Package linux-2.6. (Wed, 18 Apr 2012 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 18 Apr 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #91 received at 586995@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Teodor MICU <mteodor@gmail.com>
Cc: 586995@bugs.debian.org
Subject: Re: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Wed, 18 Apr 2012 11:59:47 -0500
Teodor MICU wrote:

> This bug should be closed and archived -- it works properly on wheezy.

Thanks for a reminder.  If you install a current squeeze kernel (e.g.,
2.6.32-43) on the wheezy system, does it still reproduce modesetting
trouble?  Is the radeon firmware installed?

Curious,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#586995; Package linux-2.6. (Sun, 22 Apr 2012 10:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor MICU <mteodor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 22 Apr 2012 10:12:15 GMT) Full text and rfc822 format available.

Message #96 received at 586995@bugs.debian.org (full text, mbox):

From: Teodor MICU <mteodor@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 586995@bugs.debian.org
Subject: Re: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Sun, 22 Apr 2012 13:08:19 +0300
2012/4/18 Jonathan Nieder <jrnieder@gmail.com>:
> Thanks for a reminder.  If you install a current squeeze kernel (e.g.,
> 2.6.32-43) on the wheezy system, does it still reproduce modesetting
> trouble?  Is the radeon firmware installed?

I just tested this (linux image from stable-proposed-updates) and
there is no change: the console is fuzzy during boot.

Cheers




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#586995; Package linux-2.6. (Mon, 23 Apr 2012 01:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 Apr 2012 01:09:03 GMT) Full text and rfc822 format available.

Message #101 received at 586995@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Teodor MICU <mteodor@gmail.com>
Cc: 586995@bugs.debian.org
Subject: Re: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Sun, 22 Apr 2012 20:04:36 -0500
Teodor MICU wrote:

> I just tested this (linux image from stable-proposed-updates) and
> there is no change: the console is fuzzy during boot.

Great, thanks for testing.  How about the second question --- is the
radeon firmware installed?  You can find out with

	dpkg -l firmware-linux

Just to be clear, if the bug is only reproducible when the radeon
firmware is not installed, it would still be an important bug.  That
would just help us to know where to look.




Marked as found in versions linux-2.6/2.6.32-43. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 23 Apr 2012 01:09:05 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 23 Apr 2012 01:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#586995; Package linux-2.6. (Mon, 23 Apr 2012 06:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teodor MICU <mteodor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 Apr 2012 06:21:03 GMT) Full text and rfc822 format available.

Message #110 received at 586995@bugs.debian.org (full text, mbox):

From: Teodor MICU <mteodor@gmail.com>
To: 586995@bugs.debian.org
Subject: Re: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Mon, 23 Apr 2012 09:18:07 +0300
2012/4/23 Jonathan Nieder <jrnieder@gmail.com>:
> Great, thanks for testing.  How about the second question --- is the
> radeon firmware installed?  You can find out with
>
>        dpkg -l firmware-linux
>
> Just to be clear, if the bug is only reproducible when the radeon
> firmware is not installed, it would still be an important bug.  That
> would just help us to know where to look.

It has always been installed. I don't think its worth further
investigations unless it affects someone else, I've moved on a long
time ago.

Thanks

------




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#586995; Package linux-2.6. (Mon, 23 Apr 2012 06:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 Apr 2012 06:54:06 GMT) Full text and rfc822 format available.

Message #115 received at 586995@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Teodor MICU <mteodor@gmail.com>
Cc: 586995@bugs.debian.org
Subject: Re: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Mon, 23 Apr 2012 01:50:49 -0500
Teodor MICU wrote:
> 2012/4/23 Jonathan Nieder <jrnieder@gmail.com>:

>>        dpkg -l firmware-linux
[...]
> It has always been installed.

Just to be clear, "always" means for the past year or so rather than
some period going back to June 2010, right?

Sorry for the probably annoying questions.  If at all possible, I
would like to get this fixed in squeeze for the sake of others using
the same graphics card.

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#586995; Package linux-2.6. (Mon, 23 Apr 2012 07:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 Apr 2012 07:06:03 GMT) Full text and rfc822 format available.

Message #120 received at 586995@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Teodor MICU <mteodor@gmail.com>
Cc: 586995@bugs.debian.org
Subject: Re: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Mon, 23 Apr 2012 02:02:00 -0500
Jonathan Nieder wrote:
> Teodor MICU wrote:

>> It has always been installed.
>
> Just to be clear, "always" means
[...]

Ah, found the answer in an earlier comment (#22).  Sorry for the
noise.

>> I installed it but it shouldn't matter since the two dependencies were
>> already installed.

Next steps that would be useful, if you have the time:

 - a full kernel log (using the "dmesg" command or /var/log/dmesg)
   from booting an affected kernel in recovery mode with the word
   drm.debug=0xe appended to the kernel command line and then running
   "modprobe radeon"

 - a photograph or screenshot of the garbled screen

 - which pre-compiled kernels between 2.6.32 and 2.6.36-rc5 listed
   at http://snapshot.debian.org/package/linux-2.6/ reproduce the
   big.  In other words, a narrower range to search for the fix.

If you don't have time for it, that's fine, too.  Just let us know and
we can let you know when there is a specific patch to try or wait
until someone else is able to reproduce it, depending on your
preference.

Thanks again.
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#586995; Package linux-2.6. (Mon, 23 Apr 2012 10:18:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Touko Korpela <touko.korpela@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 Apr 2012 10:18:32 GMT) Full text and rfc822 format available.

Message #125 received at 586995@bugs.debian.org (full text, mbox):

From: Touko Korpela <touko.korpela@iki.fi>
To: Jonathan Nieder <jrnieder@gmail.com>, 586995@bugs.debian.org
Cc: Teodor MICU <mteodor@gmail.com>
Subject: Re: Bug#586995: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Mon, 23 Apr 2012 13:17:35 +0300
On Sun, Apr 22, 2012 at 08:04:36PM -0500, Jonathan Nieder wrote:
> Teodor MICU wrote:
> 
> > I just tested this (linux image from stable-proposed-updates) and
> > there is no change: the console is fuzzy during boot.
> 
> Great, thanks for testing.  How about the second question --- is the
> radeon firmware installed?  You can find out with
> 
> 	dpkg -l firmware-linux
> 
> Just to be clear, if the bug is only reproducible when the radeon
> firmware is not installed, it would still be an important bug.  That
> would just help us to know where to look.

I think you should check if firmware-linux-nonfree package is installed
(because Radeon firmware is located there).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#586995; Package linux-2.6. (Mon, 23 Apr 2012 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 Apr 2012 16:12:03 GMT) Full text and rfc822 format available.

Message #130 received at 586995@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Touko Korpela <touko.korpela@iki.fi>
Cc: 586995@bugs.debian.org, Teodor MICU <mteodor@gmail.com>
Subject: Re: KMS not working on ATI Technologies Inc M56P [Radeon Mobility X1600]
Date: Mon, 23 Apr 2012 11:07:46 -0500
Touko Korpela wrote:

> I think you should check if firmware-linux-nonfree package is installed
> (because Radeon firmware is located there).

He's checked and it was installed.  It was my confusion.  Sorry about
that.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Jul 2012 08:04:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:06:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.